import { WithoutPassphrase as Command } from '../../account-command';
export default class AccountList extends Command {
    static description: string;
    static flags: {
        columns: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        sort: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        filter: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        csv: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        extended: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-truncate': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-header': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
    };
    run(): Promise<{
        [key: string]: any;
    }>;
}
