import { flags } from '@oclif/command';
import Command from '../../docker-command';
export default class Start extends Command {
    static description: string;
    static flags: {
        version: flags.IOptionFlag<string>;
        'log-force-colors': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'log-format': flags.IOptionFlag<string>;
        'log-level': flags.IOptionFlag<string>;
        name: flags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: flags.IOptionFlag<string | undefined>;
    };
    run(): Promise<boolean>;
}
