import Command from '../../docker-command';
export declare const enum ServiceStatus {
    STARTED = 0,
    STOPPED = 1
}
export default class Status extends Command {
    static description: string;
    static flags: {
        name: import("@oclif/command/lib/flags").IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
    };
    run(): Promise<ServiceStatus>;
}
