import { flags } from '@oclif/command';
import Command from '../../root-command';
export default class ServiceDelete extends Command {
    static description: string;
    static flags: {
        confirm: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: flags.IOptionFlag<string | undefined>;
    };
    static strict: boolean;
    static args: {
        name: string;
        required: boolean;
    }[];
    run(): Promise<string[]>;
}
