import Command from '../../marketplace-command';
export default class MarketplacePublish extends Command {
    static description: string;
    static flags: {
        account: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        passphrase: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        quiet: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        silent: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number | undefined>;
        host: import("@oclif/command/lib/flags").IOptionFlag<string | undefined>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
        default: string;
    }[];
    run(): Promise<any>;
    preparePublishService(service: any, account: string): Promise<any>;
    publishService(account: string, serviceTx: any, passphrase: string): Promise<any>;
    private lookupReadme;
}
