"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const base58 = tslib_1.__importStar(require("mesg-js/lib/util/base58"));
const root_command_1 = tslib_1.__importDefault(require("../../root-command"));
class ProcessDetail extends root_command_1.default {
    async run() {
        const { args } = this.parse(ProcessDetail);
        const response = await this.api.process.get({ hash: base58.decode(args.PROCESS_HASH) });
        this.styledJSON(response);
        return response;
    }
}
ProcessDetail.description = 'Display detailed information on a process';
ProcessDetail.flags = Object.assign({}, root_command_1.default.flags);
ProcessDetail.args = [{
        name: 'PROCESS_HASH',
        required: true
    }];
exports.default = ProcessDetail;
